#include "partition.h"
#include <bits/stdc++.h>

using namespace std;;
long long s,h;
long long n,a[100001];
std::vector<int> solve(std::vector<int> A)
{
    s=h=0;
    n=A.size();
    for(long long i=0;i<n;i++)
        a[i]=A[i];

    for(long long i=0;i<n;i++)
        h+=a[i];
    s=h;
    h=h/2+h%2;

    long long ans=s,f=s;
    for(long long i=0;i<(1<<n);i++)
    {
        long long in=0;
        for(long long j=0;j<n;j++)
        {
            if(i&(1<<j))
                in+=a[j];
        }

        if(in>=h)
            ans=min(ans,in);
            if(ans==in)f=i;
    }

    vector<int> v;

    for(long long i=0;i<n;i++)
    {
        if((1<<i)&f)
        {
            v.push_back(i);
        }
    }
    for(long long i=0;i<n;i++)
    {
        if((1<<i)&f);
        else v.push_back(i);
    }

    return v;
}

